View Issue Details

IDProjectCategoryView StatusLast Update
0030442PackagesLazReportpublic2020-05-16 01:13
ReporterSergey Chekh Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformintel 32OSMS Windows 
Summary0030442: partially filled or empty pages in report
DescriptionSometimes are formed partially filled or empty pages.
This happens when the stretchable Band does not fit on the current page.

The number of filled rows (height) on each of the following pages
equals to the number of Band rows, which placed on the first page of this
Band, while the Band is not be outputted completely.

Steps To ReproduceRun uploaded Project

 the desired result is in rep3-corr.pdf,
 the obtained result is in rep3-err.pdf.
Additional Information


The fix
For each of the following reserved pages can be used
all of the available space,
not only the space available on the first page of the Band.

TagsNo tags attached.
Fixed in Revisionr63168
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0037046 resolvedJuha Manninen Empty or partially filled pages in lazreport 

Activities

Sergey Chekh

2016-08-03 15:06

reporter  

lrf.test3.zip (130,866 bytes)

Sergey Chekh

2016-08-03 15:08

reporter  

lr_class.patch (869 bytes)   
Index: lr_class.pas
===================================================================
--- lr_class.pas	(revision 52775)
+++ lr_class.pas	(working copy)
@@ -6814,7 +6814,7 @@
 procedure TfrBand.DrawPageBreak;
 var
   i, j, k, ty: Integer;
-  newDy, oldy, olddy, aMaxy: Integer;
+  newDy, oldy, olddy, aMaxy, NewDy1: Integer;
   t: TfrView;
   Flag: Boolean;
   PgArr: array of integer;
@@ -6852,6 +6852,7 @@
 
     // space left of each column after headers and footers
     newDy := Parent.CurBottomY - Parent.Bands[btColumnFooter].dy - y - 2;
+    newDy1 := Parent.CurBottomY - Parent.Bands[btColumnFooter].dy     - 2;
 
     for i := 0 to Objects.Count - 1 do
     begin
@@ -6883,6 +6884,8 @@
     for j:=0 to Length(pgArr)-1 do
     begin
 
+      if(j>0) then
+        newDy := NewDy1;
       pgArr[j] := newDy;
 
       for i := 0 to Objects.Count - 1 do
lr_class.patch (869 bytes)   

Jesus Reyes

2016-08-03 17:39

developer   ~0093991

The pdf files are missing.

Sergey Chekh

2016-08-04 10:46

reporter  

rep3-correct.pdf (76,546 bytes)

Sergey Chekh

2016-08-04 10:46

reporter  

rep3-err.pdf (99,170 bytes)

Sergey Chekh

2016-08-04 10:47

reporter   ~0094003

Sorry, now uploaded

Juha Manninen

2020-05-16 01:13

developer   ~0122834

Resolved together with the related issue.

Issue History

Date Modified Username Field Change
2016-08-03 15:06 Sergey Chekh New Issue
2016-08-03 15:06 Sergey Chekh File Added: lrf.test3.zip
2016-08-03 15:08 Sergey Chekh File Added: lr_class.patch
2016-08-03 17:38 Jesus Reyes Assigned To => Jesus Reyes
2016-08-03 17:38 Jesus Reyes Status new => assigned
2016-08-03 17:39 Jesus Reyes Note Added: 0093991
2016-08-03 21:41 Jesus Reyes LazTarget => -
2016-08-03 21:41 Jesus Reyes Status assigned => feedback
2016-08-04 10:46 Sergey Chekh File Added: rep3-correct.pdf
2016-08-04 10:46 Sergey Chekh File Added: rep3-err.pdf
2016-08-04 10:47 Sergey Chekh Note Added: 0094003
2016-08-04 10:47 Sergey Chekh Status feedback => assigned
2020-05-16 00:55 Juha Manninen Relationship added related to 0037046
2020-05-16 01:13 Juha Manninen Status assigned => resolved
2020-05-16 01:13 Juha Manninen Resolution open => fixed
2020-05-16 01:13 Juha Manninen Fixed in Revision => r63168
2020-05-16 01:13 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-05-16 01:13 Juha Manninen Note Added: 0122834